/*
  PROGRAMME DE TEMPERATURE DE LA SERRE
  AVEC AIDE DES SITES INTERNET : http://scenari2.irem.univ-mrs.fr/lexiqueINEFLP-Arduino/co/terme_6.html
  et http://wiki.seeedstudio.com/Grove-Temperature_Sensor_V1.2
  PERENNES CLEMENT - 1 ERE STI2D
  LES ACTIONNEURS - LED VERTE EN D4 ET LED ROUGE EN D8
  LE RELAIS EST REMPLACE PAR LE BUZZER EN D7
  LA CAPTEUR DE TEMPERATURE ANALOGIQUE EST PLACE EN A0
  LE SEUIL DE TEMPERATURE EST PLACE A 20 °
 */

const int B = 3975;

void setup(){
  Serial.begin(9600);
  pinMode(4,OUTPUT); //LED VERTE
  pinMode(8,OUTPUT); //LED ROUGE
}

void loop(){
  int temp = analogRead(A0);
  float resistance = (float)(1023-temp)*10000/temp;
  float temperature = 1/(log(resistance/10000)/B+1/298.15)-273.15;
  Serial.print(temperature);
  Serial.println(" C ");
  delay(500);
  Serial.print(((temperature+32)*1.8));
  Serial.println(" F ");
  delay(500);
  
  
  if( (temperature) > 20)
  {
    digitalWrite(4,LOW); //  VERTE ETEINTE
    digitalWrite(8,HIGH); //  ROUGE ALLUMEE
    digitalWrite(7,HIGH); //  BUZZER OU RELAIS
    delay(1000);
  }
  
  else{
    digitalWrite(4,HIGH); // VERTE ALLUMEE
    digitalWrite(8,LOW); // ROUGE ETEINTE
    digitalWrite(7,LOW); //  BUZZER OU RELAIS
    delay(1000); 
  }
}
